import { WidgetData, WidgetParams } from "@widget-js/core";
interface UseWidgetOption<T extends WidgetData> {
    onDataLoaded?: (data: T) => void;
    debugParams?: WidgetParams;
    defaultData?: T;
    /**
     * 预览模式下显示的数据
     */
    previewData?: T;
    /**
     * 是否忽略组件id，只通过组件名获取数据
     */
    loadDataByWidgetName?: boolean;
}
export declare function useWidget<T extends WidgetData>(type: {
    new (name: string, id?: string): T;
}, option?: UseWidgetOption<T>): {
    widgetParams: WidgetParams;
    widgetData: import('../../node_modules/vue').Ref<any>;
    sizeStyle: import('../../node_modules/vue').ComputedRef<{
        width: string;
        height: string;
    }>;
};
export {};
